D=load('data_no_assesories.txt');
t=D(:,1);
m=D(:,2)/1000;
mempty=0.289;
mdead=0.3;
m=m-mdead;
d=4e-3;
A=pi*d^2/4;

Dcyl=70e-3;
Acyl=pi*Dcyl^2/4;

rho=997;

%let's downsample the data
tds=t(2000:5000:end);
mds=m(2000:5000:end);


Mrate=zeros(length(mds)-1,1);

for k=1:length(mds)-1
    Mrate(k,1)=-((mds(k+1)-mds(k,1))/(tds(k+1,1)-tds(k,1)));
end

tnew=tds(1:end-1);
velocity=Mrate/(A*rho);
h=mds/(rho*Acyl);
h=h(1:end-1);

figure; 

subplot(2,2,1);
plot(tnew,mds(1:end-1),'o-');

subplot(2,2,2);
plot(tnew,velocity,'o-');

subplot(2,2,3);
plot(h,velocity,'o-');

subplot(2,2,4);
plot(h,velocity.^2,'o-');
